
Foreman - Bug #6160

False positive validation prevents saving network provisioned host with compute profile with image

06/11/2014 11:03 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Host creation   

Target version: 1.5.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1111593 Red Hat JIRA:  

Pull request:    

Description

1. add image to libvirt resource

2. create a compute profile for libvirt, include the image (doesn't seem to be have nothing selected)

3. perform network based provisioning

4. the the provisioning calls foreman at the end, it fails on

"Selected image does not belong to localhost (Libvirt)"]}"

 The problem with image not being find in the compute resource was caused by http://projects.theforeman.org/issues/6159

However, there is no reason to do this validation for build-based provisioning.

Associated revisions

Revision f7b85549 - 06/19/2014 12:44 PM - Ivan Necas

Fixes #6160 - don't validate images for network based provisioning

Revision 9ee691ab - 07/28/2014 07:20 AM - Ivan Necas

Fixes #6160 - don't validate images for network based provisioning

(cherry picked from commit f7b855491abbfd1737a2c7291ac4b16f8bc98017)

History

#1 - 06/19/2014 12:24 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Target version set to 1.8.1

- translation missing: en.field_release set to 18

https://github.com/theforeman/foreman/pull/1507

#2 - 06/19/2014 01:31 PM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f7b855491abbfd1737a2c7291ac4b16f8bc98017.

#3 - 06/20/2014 01:29 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1111593
